Bug 201759 - setroubleshoot does not work as expected
setroubleshoot does not work as expected
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-08 14:45 EDT by Thorsten Scherf
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.28-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-30 19:31:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Scherf 2006-08-08 14:45:16 EDT
Description of problem:

[root@tiffy doc_misc]# /etc/init.d/setroubleshoot restart
Stopping setroubleshoot:                                   [FAILED]
Starting setroubleshoot:                                   [  OK  ]
[root@tiffy doc_misc]# /etc/init.d/setroubleshoot status
setroubleshoot dead but subsys locked
[root@tiffy doc_misc]# tail -f /var/log/messages
Aug  8 20:47:44 tiffy last message repeated 4 times
Aug  8 20:47:46 tiffy setroubleshoot: 2006-08-08 20:47:46,952 [avc.ERROR] Type
exception plugins.disable_trans: unsubscriptable object  Traceback (most recent
call last):   File
"/usr/lib/python2.4/site-packages/setroubleshoot/dispatcher.py", line 34, in run
    if plugin.analyze():   File
"/usr/share/setroubleshoot/plugins/disable_trans.py", line 58, in analyze    
bool_name=self.avc.scontext.type[:-2]+"_disable_trans" TypeError:
unsubscriptable object



Version-Release number of selected component (if applicable):
setroubleshoot-0.18-1



How reproducible:
start the deamon

Steps to Reproduce:
1.start the daemon
2.
3.
  
Actual results:
daemon not running

Expected results:
running daemon

Additional info:
Comment 1 Daniel Walsh 2006-08-22 08:53:22 EDT
Fixed setroubleshoot-0.28-1

Note You need to log in before you can comment on or make changes to this bug.